Module javafx.graphics
Package javafx.css

# Class SimpleSelector

java.lang.Object
javafx.css.Selector
javafx.css.SimpleSelector

    public final class SimpleSelector
    extends Selector

A simple selector which behaves according to the CSS standard.

Since:
  9

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getId()` | Gets the value of the selector id.
  `String` | `getName()` | Gets the name of the java class to which this selector is applied, or *.
  `NodeOrientation` | `getNodeOrientation()` | Gets the `NodeOrientation` of this `Selector`.
  `List<String>` | `getStyleClasses()` | Gets an immutable list of style-classes of the `Selector`.
  `Set<StyleClass>` | `getStyleClassSet()` | Gets the `Set` of `StyleClass`es of the `Selector`.
  `String` | `toString()` | Converts this object to a string.

  ### Methods declared in class javafx.css.Selector

  `applies, applies, createMatch, createSelector, getOrdinal, getRule, setOrdinal, stateMatches, writeBinary`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getName

    public String getName()
    Gets the name of the java class to which this selector is applied, or *.
    Returns:
      the name of the java class

  - ### getStyleClasses

    public List<String> getStyleClasses()
    Gets an immutable list of style-classes of the `Selector`.
    Returns:
      an immutable list of style-classes of the `Selector`

  - ### getStyleClassSet

    public Set<StyleClass> getStyleClassSet()
    Gets the `Set` of `StyleClass`es of the `Selector`.
    Returns:
      the `Set` of `StyleClass`es

  - ### getId

    public String getId()
    Gets the value of the selector id.
    Returns:
      the value of the selector id, which may be an empty string

  - ### getNodeOrientation

    public NodeOrientation getNodeOrientation()
    Gets the `NodeOrientation` of this `Selector`.
    Returns:
      the `NodeOrientation`

  - ### toString

    public String toString()
    Converts this object to a string.
    Overrides:
      `toString` in class `Object`